LibreOffice: XFormLayerAccess Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XFormLayerAccess Interface Reference

provides access to the form layer elements in a view More...

`import "XFormLayerAccess.idl";`

Inheritance diagram for XFormLayerAccess:

## Exported Interfaces
interface | XControlAccess
| provides access to form controls contained in the view

## Public Member Functions
::com::sun::star::form::runtime::XFormController | getFormController ([in] ::com::sun::star::form::XForm Form)
| returns the com::sun::star::form::FormController instance which operates on a given form.
boolean | isFormDesignMode ()
| determines whether the view's form layer is currently in design or alive mode
void | setFormDesignMode ([in] boolean DesignMode)
| determines whether the view's form layer is currently in design or alive mode
Public Member Functions inherited from XControlAccess
com::sun::star::awt::XControl | getControl ([in] com::sun::star::awt::XControlModel xModel) raises ( com::sun::star::container::NoSuchElementException )
| is called to get the control from the specified control model.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the form layer elements in a view

Since
  OOo 2.3

## Exported Interfaces

## ◆ XControlAccess

interface XControlAccess

provides access to form controls contained in the view

## Member Function Documentation

## ◆ getFormController()

::com::sun::star::form::runtime::XFormController getFormController | ( | [in] ::com::sun::star::form::XForm | Form | ) |

returns the com::sun::star::form::FormController instance which operates on a given form.

A form controller is a component which controls the user interaction with the form layer, as long as the form is not in design mode.

Returns
  the requested form controller, or NULL if the view's form layer is currently in design mode. Note that the returned instance becomes non-functional as soon as the form layer is switched to design mode.

See also
  isDesignMode
  setDesignMode
  com::sun::star::form::runtime::FormController
  com::sun::star::form::runtime::FormOperations

## ◆ isFormDesignMode()

boolean isFormDesignMode | ( |  | ) |

determines whether the view's form layer is currently in design or alive mode

Note: This is a convenience method. In the user interface, the design mode is coupled with the `.uno:SwitchControlDesignMode` feature (see com::sun::star::frame::XDispatchProvider), and asking for the current mode is the same as asking for the state of this feature.

## ◆ setFormDesignMode()

void setFormDesignMode | ( | [in] boolean | DesignMode | ) |

determines whether the view's form layer is currently in design or alive mode

Note: This is a convenience method. In the user interface, the design mode is coupled with the `.uno:SwitchControlDesignMode` feature (see com::sun::star::frame::XDispatchProvider), and changing the current mode is the same as dispatching this feature URL.

The documentation for this interface was generated from the following file:

- com/sun/star/view/XFormLayerAccess.idl